package org.eclipse.cosmos.rm.smlif.internal.content;

import junit.framework.Test;

import org.eclipse.core.runtime.content.IContentDescriber;
import org.eclipse.cosmos.rm.validation.internal.content.SMLIFContentDescriber;
import org.eclipse.hyades.test.common.junit.DefaultTestArbiter;
import org.eclipse.hyades.test.common.junit.HyadesTestCase;
import org.eclipse.hyades.test.common.junit.HyadesTestSuite;

/**
 * Generated code for the test suite <b>TestSMLIFContentDescriber</b> located at
 * <i>/org.eclipse.cosmos.rm.smlif.tests/junits/TestSMLIFContentDescriber.testsuite</i>.
 */
public class TestSMLIFContentDescriber extends HyadesTestCase
{
	/**
	 * Constructor for TestSMLIFContentDescriber.
	 * @param name
	 */
	public TestSMLIFContentDescriber(String name)
	{
		super(name);
	}

	/**
	 * Returns the JUnit test suite that implements the <b>TestSMLIFContentDescriber</b> definition.
	 */
	public static Test suite()
	{
		HyadesTestSuite testSMLIFContentDescriber = new HyadesTestSuite("TestSMLIFContentDescriber");
		testSMLIFContentDescriber.setArbiter(DefaultTestArbiter.INSTANCE).setId("C4F7D339E422C00ADA7A4D20A4AC11DB");
		testSMLIFContentDescriber.addTest(new TestSMLIFContentDescriber("testDetermineType").setId("C4F7D339E422C00ADF49D690A4AC11DB").setTestInvocationId("C4F7D339E422C00A1B3C5D80A4AD11DB"));
		return testSMLIFContentDescriber;
	}

	/**
	 * @see junit.framework.TestCase#setUp()
	 */
	protected void setUp() throws Exception
	{
	}

	/**
	 * @see junit.framework.TestCase#tearDown()
	 */
	protected void tearDown() throws Exception
	{
	}

	/**
	 * testDetermineType
	 * @throws Exception
	 */
	public void testDetermineType() throws Exception
	{
		determineTypes (new String[]{
				"<model",
				"<model att=value",
				"<model ",
				"<it:model",
				"<it:model att=value",
				"<it:model "
		}, true);
		
		determineTypes (new String[]{
				"<modell",
				"<modell att=value",
				"<modell ",
				"<it:modell",
				"<it:modell att=value",
				"<it:modell "
		}, false);
	}

	
	
	private void determineTypes(String[] lines, boolean isModel)
	{
		SMLIFContentDescriber contentDescriber = new SMLIFContentDescriber();
		for (int i = 0; i < lines.length; i++)
		{
			int type = contentDescriber.determineType(lines[i]);
			assertEquals("The type is not what was expected", (isModel ? IContentDescriber.VALID : IContentDescriber.INVALID), type);
		}
		
	}

}
