package org.eclipse.cosmos.rm.smlif.internal.importing;

import org.xml.sax.SAXException;

/**
 * Any exception that occurs during import of an SML-IF file.
 * 
 * Note that this class must be a subclass of SAXException to
 * support JDK 1.4, as the SAX handler will otherwise wrap it
 * in a SAXException anyway.
 * 
 * @author David Whiteman 
 */
public class ImportException extends SAXException {

	// TODO externalize "message" passed in by all references to this class

	private static final long serialVersionUID = -9104410866991019959L;

	public ImportException(String message, Exception exception) {
		super(message, exception);
	}

	public ImportException(String message) {
		super(message);
	}

}
