/**********************************************************************
 * Copyright (c) 2007 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.cosmos.rm.validation.internal.content;

import org.eclipse.core.runtime.QualifiedName;
import org.eclipse.core.runtime.content.IContentDescriber;
import org.eclipse.cosmos.rm.validation.internal.SMLActivator;
import org.eclipse.cosmos.rm.validation.internal.common.ISMLConstants;


/**
 * The describer for SML-IF documents.
 * 
 * @author Ali Mehregani
 */
public class SMLIFContentDescriber extends AbstractXMLContentDescriber
{
	/**
	 * The content type id for SML-IF documents
	 */
	public static final String ID = SMLActivator.PLUGIN_ID + ".smlifContentType";

	
	/**
	 * @see org.eclipse.core.runtime.content.IContentDescriber#getSupportedOptions()
	 */
	public QualifiedName[] getSupportedOptions()
	{		
		return null;
	}


	/**
	 * @see org.eclipse.cosmos.rm.smlif.internal.content.AbstractXMLContentDescriber#determineType(java.lang.String)
	 */
	public int determineType(String line)
	{
		return ISMLConstants.MODEL_ELEMENT.equals(retrieveElementName(line)) ? IContentDescriber.VALID : IContentDescriber.INVALID;
	}
}
